import request from '@/utils/request'

// 查询列表监控调阅计划
export function listPlan(query) {
  return request({
    url: '/core/accessPlan/list',
    method: 'get',
    params: query
  })
}

// 查询详细监控调阅计划
export function getPlan(id) {
  return request({
    url: '/core/accessPlan/' + id,
    method: 'get'
  })
}

// 下发
export function distribute(id) {
  return request({
    url: '/core/accessPlan/distribute/' + id,
    method: 'get'
  })
}
// 新增监控调阅计划
export function addPlan(data) {
  return request({
    url: '/core/accessPlan',
    method: 'post',
    data: data
  })
}

// 修改监控调阅计划
export function updatePlan(data) {
  return request({
    url: '/core/accessPlan',
    method: 'put',
    data: data
  })
}

// 删除监控调阅计划
export function delPlan(id) {
  return request({
    url: '/core/accessPlan/' + id,
    method: 'delete'
  })
}
